/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ITC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ITC_NEWTAXCATEGORY') 
 CREATE TABLE T_ITC_NEWTAXCATEGORY (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ITC_TAXCALRECORD') 
 CREATE TABLE T_ITC_TAXCALRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FTAXCALREPORTID BIGINT DEFAULT 0 NOT NULL,
FTAXDATABASICID BIGINT DEFAULT 0 NOT NULL,
FTAXFILEID BIGINT DEFAULT 0 NOT NULL,
FSRCDATAKEY VARCHAR(30) DEFAULT ' ' NOT NULL,
FISSUCCESS CHAR(1) DEFAULT '0' NOT NULL,
FFAILTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FRESULTMSG VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ITC_TAXTASK' AND KSQL_COL_NAME ='FEXRATETABLEID') 
 ALTER TABLE T_ITC_TAXTASK ADD (FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ITC_TAXTASK' AND KSQL_COL_NAME ='FISEXISTFOREIGNCUR') 
 ALTER TABLE T_ITC_TAXTASK ADD (FISEXISTFOREIGNCUR CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ITC_TAXCALREPORT') 
 CREATE TABLE T_ITC_TAXCALREPORT (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FREPORTNUM VARCHAR(60) DEFAULT ' ' NOT NULL,
FTAXTASKID BIGINT DEFAULT 0 NOT NULL,
FRAWTASKID BIGINT DEFAULT 0 NOT NULL,
FOPERATEKEY VARCHAR(60) DEFAULT ' ' NOT NULL,
FCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FRAWCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FTOTALCOUNT INT DEFAULT 0 NOT NULL,
FSUCCESSCOUNT INT DEFAULT 0 NOT NULL,
FFAILCOUNT INT DEFAULT 0 NOT NULL,
FQUOTETYPE VARCHAR(2) DEFAULT '0' NOT NULL,
FEXCHANGERATE VARCHAR(30) DEFAULT ' ' NOT NULL,
FPAYDATE DATETIME,
FEXTRAINFO VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ITC_TAXTASK' AND KSQL_COL_NAME ='FEXRATETABLEID') 
 ALTER TABLE T_ITC_TAXTASK ADD (FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ITC_TAXTASK' AND KSQL_COL_NAME ='FISEXISTFOREIGNCUR')
 ALTER TABLE T_ITC_TAXTASK ADD (FISEXISTFOREIGNCUR CHAR(1) DEFAULT '0' NOT NULL );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ITC_TAXDATA' AND KSQL_COL_NAME ='FSRCREFNUM')
 ALTER TABLE T_ITC_TAXDATA ADD (FSRCREFNUM VARCHAR(2) DEFAULT ' ' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ITC_TAXDATA' AND KSQL_COL_NAME ='FHASDIFFERENCE')
 ALTER TABLE T_ITC_TAXDATA ADD (FHASDIFFERENCE CHAR(1) DEFAULT '0' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ITC_TAXDATABASIC' AND KSQL_COL_NAME ='FCALSTATUS')
 ALTER TABLE T_ITC_TAXDATABASIC ADD (FCALSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ITC_TAXRAWDATABASIC' AND KSQL_COL_NAME ='FCALSTATUS')
 ALTER TABLE T_ITC_TAXRAWDATABASIC ADD (FCALSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ITC_TAXRAWDATABASIC' AND KSQL_COL_NAME ='FTAXTASKID')
 ALTER TABLE T_ITC_TAXRAWDATABASIC ADD (FTAXTASKID BIGINT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ITC_TAXCALRECORD' AND KSQL_COL_NAME ='FTAXFILEID')
 ALTER TABLE T_ITC_TAXCALRECORD ADD (FTAXFILEID BIGINT DEFAULT 0 NOT NULL );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ITC_TAXDATA' AND KSQL_COL_NAME ='FCONFIRMSTATUS')
 ALTER TABLE T_ITC_TAXDATA ADD (FCONFIRMSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ITC_TAXRAWDATA' AND KSQL_COL_NAME ='FCONFIRMSTATUS')
 ALTER TABLE T_ITC_TAXRAWDATA ADD (FCONFIRMSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ITC_TAXDATA' AND KSQL_COL_NAME ='FCONFIRMOPRECORDID')
 ALTER TABLE T_ITC_TAXDATA ADD (FCONFIRMOPRECORDID BIGINT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ITC_TAXRAWDATA' AND KSQL_COL_NAME ='FCONFIRMOPRECORDID')
 ALTER TABLE T_ITC_TAXRAWDATA ADD (FCONFIRMOPRECORDID BIGINT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ITC_TAXDATA' AND KSQL_COL_NAME IN ('FCONFIRMDATE'))
 ALTER TABLE T_ITC_TAXDATA ADD (FCONFIRMDATE DATETIME );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ITC_TAXDATAENTRY' AND KSQL_COL_NAME IN ('FCALVALUE'))
 ALTER TABLE T_ITC_TAXDATAENTRY ADD (FCALVALUE VARCHAR(255) DEFAULT ' ' NOT NULL );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ITC_TAXDATAENTRY' AND KSQL_COL_NAME IN ('FDIFFVALUE'))
 ALTER TABLE T_ITC_TAXDATAENTRY ADD (FDIFFVALUE VARCHAR(255) DEFAULT ' ' NOT NULL );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ITC_TAXDATAENTRY' AND KSQL_COL_NAME IN ('FORIGINALVALUE'))
 ALTER TABLE T_ITC_TAXDATAENTRY ADD (FORIGINALVALUE VARCHAR(255) DEFAULT ' ' NOT NULL );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ITC_TAXRAWDATAENTRY' AND KSQL_COL_NAME IN ('FCALVALUE'))
 ALTER TABLE T_ITC_TAXRAWDATAENTRY ADD (FCALVALUE VARCHAR(255) DEFAULT ' ' NOT NULL );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ITC_TAXRAWDATAENTRY' AND KSQL_COL_NAME IN ('FDIFFVALUE'))
 ALTER TABLE T_ITC_TAXRAWDATAENTRY ADD (FDIFFVALUE VARCHAR(255) DEFAULT ' ' NOT NULL );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ITC_TAXRAWDATAENTRY' AND KSQL_COL_NAME IN ('FORIGINALVALUE'))
 ALTER TABLE T_ITC_TAXRAWDATAENTRY ADD (FORIGINALVALUE VARCHAR(255) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ITC_table.sql **/
